共享惠权限设计说明：
权限控制级别：
我们当前权限控制级别属于字段控制级别。除了每张表存在权限读写权限外，表的每一个字段也分别存在自己的读写权限标识。在这里我们需要特别说明的是每张表的backup （备用扩展字段）我们在设计backup 字段时，支持存在backup 的子字段，但是权限部分，所有backup 子字段不存在自己的读写权限。统一由buckup 的读写权限来控制。

表读写权限与表字段的读写权限的关系。
在我们当前的设计中，表的读写权限管理整张表的权限。只有当用户权限不满足表权限时，我们才会进行表字段权限的比对。例如我们进行一个查询表数据的操作。当我们用户的权限满足表的读权限时，我们可以查询整条表数据。但当我们用户的权限不满足表的读权限时，我们会具体进行表字段读权限的过滤，将不满足用户读权限的字段的value 设为“***”，将满足读权限的value正常返回。

权限结构：
如下：是我们具体schema 结构设计
type SchemaParameters struct {  //字段结构
	Value interface{} //默认值  这里特别说明一下如果这里是backUp 字段，我们不进行更深一步的校验，包括格式
	Read  []string    // 字段的读权限,“”,不存在权限，
	Write []string    //字段的写权限
}

type Schema struct {
	Parameters map[string]SchemaParameters  //表字段，map key 字段名，value 字段结构
SchemaWrite []string //schema 的写权限，主要是用在 schema update 部分
	Read       []string  //表的读权限
	Write      []string   // 表的写权限
}

权限使用说明：
首先说明我们这一版的设计暂时没有加上用户角色的部分。但预留了扩展部分。
我们可以看出我们的权限控制，分为读权限与写权限，我们使用字符串数组来表示具有这样权限的用户（或者以后支持的角色），当前我们的设计是当表或者对应的字段的权限为空时，表示，没有权限限制，否则存在权限控制。
